/*===========================================================================*/
/*   (Llib/unicode.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Llib/unicode.scm -indent -o objs/obj_u/Llib/unicode.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

extern bool_t ucs2_strcicmp(obj_t, obj_t);
static obj_t BGl_loopz00zz__unicodez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__unicodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2stringzd2refzd2urzd2zz__unicodez00(obj_t, int);
static obj_t BGl__subucs2zd2stringzd2urz00zz__unicodez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl__ucs2zd2stringze3zf3zc2zz__unicodez00(obj_t, obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2upcasez12z12zz__unicodez00(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd3zf3zf2zz__unicodez00(obj_t, obj_t, obj_t);
extern long bgl_list_length(obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2downcasez12z12zz__unicodez00(obj_t);
BGL_EXPORTED_DECL int BGl_ucs2zd2stringzd2lengthz00zz__unicodez00(obj_t);
static obj_t BGl__ucs2zd2stringzc3zf3ze2zz__unicodez00(obj_t, obj_t, obj_t);
extern ucs2_t ucs2_toupper(ucs2_t);
static obj_t BGl__ucs2zd2stringzd2cizc3zd3zf3ze3zz__unicodez00(obj_t, obj_t, obj_t);
extern obj_t ucs2_string_append(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2appendz00zz__unicodez00(obj_t, obj_t);
static obj_t BGl__utf8zd2stringzd2ze3ucs2zd2stringz31zz__unicodez00(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringze3zd3zf3z11zz__unicodez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_subucs2zd2stringzd2zz__unicodez00(obj_t, int, int);
extern obj_t make_ucs2_string(int, ucs2_t);
extern obj_t utf8_string_to_ucs2_string(obj_t);
extern obj_t c_ucs2_string_copy(obj_t);
static obj_t BGl__ucs2zd2stringzd2downcasez00zz__unicodez00(obj_t, obj_t);
extern bool_t ucs2_strcmp(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2upcasez00zz__unicodez00(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2downcasez12z12zz__unicodez00(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2ze3utf8zd2stringz31zz__unicodez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2setzd2urz12zc0zz__unicodez00(obj_t, int, ucs2_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2ucs2zd2stringz00zz__unicodez00(int, obj_t);
extern obj_t ucs2_string_to_utf8_string(obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2downcasez00zz__unicodez00(obj_t);
static obj_t BGl__ucs2zd2stringzd2copyz00zz__unicodez00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringzf3z21zz__unicodez00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__unicodez00();
BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2stringzd2refz00zz__unicodez00(obj_t, int);
static obj_t BGl__ucs2zd2stringzd2cizc3zf3z30zz__unicodez00(obj_t, obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2cize3zd3zf3zc3zz__unicodez00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2ucs2zd2stringz00zz__unicodez00(obj_t, obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2cizd3zf3z20zz__unicodez00(obj_t, obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2ze3listze3zz__unicodez00(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2setzd2urz12zc0zz__unicodez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringze3zf3zc2zz__unicodez00(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2fillz12z12zz__unicodez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__unicodez00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringzc3zd3zf3z31zz__unicodez00(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2cize3zf3z10zz__unicodez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2fillz12z12zz__unicodez00(obj_t, ucs2_t);
BGL_EXPORTED_DECL obj_t BGl_utf8zd2stringzd2ze3ucs2zd2stringz31zz__unicodez00(obj_t);
static obj_t BGl__ucs2zd2stringzc3zd3zf3z31zz__unicodez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2ze3listze3zz__unicodez00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringzd3zf3zf2zz__unicodez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2copyz00zz__unicodez00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringzd2cize3zd3zf3zc3zz__unicodez00(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2refzd2urzd2zz__unicodez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringzc3zf3ze2zz__unicodez00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringzd2cizc3zf3z30zz__unicodez00(obj_t, obj_t);
extern bool_t ucs2_string_lt(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2appendz00zz__unicodez00(obj_t);
static obj_t BGl__ucs2zd2stringzd2setz12z12zz__unicodez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringzd2cizd3zf3z20zz__unicodez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2zz__unicodez00(obj_t);
extern bool_t ucs2_string_le(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2lengthz00zz__unicodez00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringzd2cize3zf3z10zz__unicodez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2upcasez00zz__unicodez00(obj_t);
extern bool_t ucs2_string_cige(obj_t, obj_t);
extern ucs2_t ucs2_tolower(ucs2_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2ze3utf8zd2stringz31zz__unicodez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2setz12z12zz__unicodez00(obj_t, int, ucs2_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3ucs2zd2stringze3zz__unicodez00(obj_t);
extern bool_t ucs2_string_cigt(obj_t, obj_t);
extern ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int);
extern bool_t ucs2_string_gt(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_ucs2zd2stringzd2upcasez12z12zz__unicodez00(obj_t);
static obj_t BGl__ucs2zd2stringzd2refz00zz__unicodez00(obj_t, obj_t, obj_t);
extern bool_t ucs2_string_ge(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_subucs2zd2stringzd2urz00zz__unicodez00(obj_t, int, int);
extern obj_t c_subucs2_string(obj_t, int, int);
extern bool_t ucs2_string_cile(obj_t, obj_t);
static obj_t BGl__subucs2zd2stringzd2zz__unicodez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringze3zd3zf3z11zz__unicodez00(obj_t, obj_t);
static obj_t BGl__listzd2ze3ucs2zd2stringze3zz__unicodez00(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzf3z21zz__unicodez00(obj_t, obj_t);
static obj_t BGl__ucs2zd2stringzd2zz__unicodez00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2stringzd2cizc3zd3zf3ze3zz__unicodez00(obj_t, obj_t);
extern bool_t ucs2_string_cilt(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2setz12zd2envzc0zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2setza712za712za7za7__unicodeza7002025za7, BGl__ucs2zd2stringzd2setz12z12zz__unicodez00, 0L, 3 );
DEFINE_STRING( BGl_string2019z00zz__unicodez00, BgL_bgl_string2019za700za7za7__unicodeza7002026z00, "Illegal index", 13 );
DEFINE_STRING( BGl_string2018z00zz__unicodez00, BgL_bgl_string2018za700za7za7__unicodeza7002027z00, "subucs2-string", 14 );
DEFINE_STRING( BGl_string2017z00zz__unicodez00, BgL_bgl_string2017za700za7za7__unicodeza7002028z00, "ucs2-string-set!", 16 );
DEFINE_STRING( BGl_string2016z00zz__unicodez00, BgL_bgl_string2016za700za7za7__unicodeza7002029z00, "index out of range", 18 );
DEFINE_STRING( BGl_string2015z00zz__unicodez00, BgL_bgl_string2015za700za7za7__unicodeza7002030z00, "ucs2-string-ref", 15 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2refzd2urzd2envz00zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2refza7d2urza7d2za7za7__unicodeza7002031za7, BGl__ucs2zd2stringzd2refzd2urzd2zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2cizc3zf3zd2envze2zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2ciza7c3za7f3za730za7za7__unicodeza7002032z00, BGl__ucs2zd2stringzd2cizc3zf3z30zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2upcasez12zd2envzc0zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2upcaseza712za712za7za7__unicodeza7002033za7, BGl__ucs2zd2stringzd2upcasez12z12zz__unicodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzc3zf3zd2envz30zz__unicodez00, BgL_bgl__ucs2za7d2stringza7c3za7f3za7e2za7za7__unicodeza7002034za7, BGl__ucs2zd2stringzc3zf3ze2zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringze3zd3zf3zd2envzc3zz__unicodez00, BgL_bgl__ucs2za7d2stringza7e3za7d3za7f3za711za7za7__unicodeza7002035z00, BGl__ucs2zd2stringze3zd3zf3z11zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_listzd2ze3ucs2zd2stringzd2envz31zz__unicodez00, BgL_bgl__listza7d2za7e3ucs2za7d2stringza7e3za7za7__unicodeza7002036za7, BGl__listzd2ze3ucs2zd2stringze3zz__unicodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_utf8zd2stringzd2ze3ucs2zd2stringzd2envze3zz__unicodez00, BgL_bgl__utf8za7d2stringza7d2za7e3ucs2za7d2stringza731za7za7__unicodeza7002037z00, BGl__utf8zd2stringzd2ze3ucs2zd2stringz31zz__unicodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzc3zd3zf3zd2envze3zz__unicodez00, BgL_bgl__ucs2za7d2stringza7c3za7d3za7f3za731za7za7__unicodeza7002038z00, BGl__ucs2zd2stringzc3zd3zf3z31zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2ucs2zd2stringzd2envzd2zz__unicodez00, BgL_bgl__makeza7d2ucs2za7d2stringza700za7za7__unicodeza7002039z00, va_generic_entry, BGl__makezd2ucs2zd2stringz00zz__unicodez00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2cize3zf3zd2envzc2zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2ciza7e3za7f3za710za7za7__unicodeza7002040z00, BGl__ucs2zd2stringzd2cize3zf3z10zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2cize3zd3zf3zd2envz11zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2ciza7e3za7d3za7f3za7c3za7za7__unicodeza7002041za7, BGl__ucs2zd2stringzd2cize3zd3zf3zc3zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2downcasez12zd2envzc0zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2downcaseza712za712za7za7__unicodeza7002042za7, BGl__ucs2zd2stringzd2downcasez12z12zz__unicodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2upcasezd2envzd2zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2upcaseza700za7za7__unicodeza7002043z00, BGl__ucs2zd2stringzd2upcasez00zz__unicodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2ze3utf8zd2stringzd2envze3zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2za7e3utf8za7d2stringza731za7za7__unicodeza7002044z00, BGl__ucs2zd2stringzd2ze3utf8zd2stringz31zz__unicodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2lengthzd2envzd2zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2lengthza700za7za7__unicodeza7002045z00, BGl__ucs2zd2stringzd2lengthz00zz__unicodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringze3zf3zd2envz10zz__unicodez00, BgL_bgl__ucs2za7d2stringza7e3za7f3za7c2za7za7__unicodeza7002046za7, BGl__ucs2zd2stringze3zf3zc2zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2copyzd2envzd2zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2copyza700za7za7__unicodeza7002047z00, BGl__ucs2zd2stringzd2copyz00zz__unicodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2cizc3zd3zf3zd2envz31zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2ciza7c3za7d3za7f3za7e3za7za7__unicodeza7002048za7, BGl__ucs2zd2stringzd2cizc3zd3zf3ze3zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2envz00zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2za7za7__unicodeza7002049za7, va_generic_entry, BGl__ucs2zd2stringzd2zz__unicodez00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2fillz12zd2envzc0zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2fillza712za712za7za7__unicodeza7002050za7, BGl__ucs2zd2stringzd2fillz12z12zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2setzd2urz12zd2envz12zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2setza7d2urza712za7c0za7za7__unicodeza7002051z00, BGl__ucs2zd2stringzd2setzd2urz12zc0zz__unicodez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2refzd2envzd2zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2refza700za7za7__unicodeza7002052z00, BGl__ucs2zd2stringzd2refz00zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2appendzd2envzd2zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2appendza700za7za7__unicodeza7002053z00, va_generic_entry, BGl__ucs2zd2stringzd2appendz00zz__unicodez00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2cizd3zf3zd2envzf2zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2ciza7d3za7f3za720za7za7__unicodeza7002054z00, BGl__ucs2zd2stringzd2cizd3zf3z20zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2downcasezd2envzd2zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2downcaseza700za7za7__unicodeza7002055z00, BGl__ucs2zd2stringzd2downcasez00zz__unicodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_subucs2zd2stringzd2urzd2envzd2zz__unicodez00, BgL_bgl__subucs2za7d2stringza7d2urza700za7za7__unicodeza7002056z00, BGl__subucs2zd2stringzd2urz00zz__unicodez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzf3zd2envzf3zz__unicodez00, BgL_bgl__ucs2za7d2stringza7f3za721za7za7__unicodeza7002057z00, BGl__ucs2zd2stringzf3z21zz__unicodez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_subucs2zd2stringzd2envz00zz__unicodez00, BgL_bgl__subucs2za7d2stringza7d2za7za7__unicodeza7002058za7, BGl__subucs2zd2stringzd2zz__unicodez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd3zf3zd2envz20zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d3za7f3za7f2za7za7__unicodeza7002059za7, BGl__ucs2zd2stringzd3zf3zf2zz__unicodez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_ucs2zd2stringzd2ze3listzd2envz31zz__unicodez00, BgL_bgl__ucs2za7d2stringza7d2za7e3listza7e3za7za7__unicodeza7002060za7, BGl__ucs2zd2stringzd2ze3listze3zz__unicodez00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__unicodez00(long BgL_checksumz00_1171, char * BgL_fromz00_1172)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__unicodez00))
{ 
BGl_requirezd2initializa7ationz75zz__unicodez00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__unicodez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* ucs2-string? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringzf3z21zz__unicodez00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 180 */
return 
UCS2_STRINGP(BgL_objz00_1);} 
}



/* _ucs2-string? */
obj_t BGl__ucs2zd2stringzf3z21zz__unicodez00(obj_t BgL_envz00_1020, obj_t BgL_objz00_1021)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 180 */
{ /* ./Llib/unicode.scm 181 */
bool_t BgL_auxz00_1178;
BgL_auxz00_1178 = 
UCS2_STRINGP(BgL_objz00_1021); 
return 
BBOOL(BgL_auxz00_1178);} } 
}



/* make-ucs2-string */
BGL_EXPORTED_DEF obj_t BGl_makezd2ucs2zd2stringz00zz__unicodez00(int BgL_kz00_2, obj_t BgL_ucs2z00_3)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 186 */
if(
NULLP(BgL_ucs2z00_3))
{ /* ./Llib/unicode.scm 187 */
ucs2_t BgL_auxz00_1183;
{ /* ./Llib/unicode.scm 187 */
int BgL_auxz00_1184;
{ /* ./Llib/unicode.scm 187 */
long BgL_auxz00_1185;
{ /* ./Llib/unicode.scm 187 */
unsigned char BgL_auxz00_1186;
{ /* ./Llib/unicode.scm 187 */
char BgL_auxz00_1187;
BgL_auxz00_1187 = 
(char)(((unsigned char)' ')); 
BgL_auxz00_1186 = 
(unsigned char)(BgL_auxz00_1187); } 
BgL_auxz00_1185 = 
(BgL_auxz00_1186); } 
BgL_auxz00_1184 = 
(int)(BgL_auxz00_1185); } 
BgL_auxz00_1183 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1184); } 
return 
make_ucs2_string(BgL_kz00_2, BgL_auxz00_1183);}  else 
{ /* ./Llib/unicode.scm 187 */
obj_t BgL_arg1011z00_1105;
BgL_arg1011z00_1105 = 
CAR(BgL_ucs2z00_3); 
{ /* ./Llib/unicode.scm 187 */
ucs2_t BgL_auxz00_1195;
BgL_auxz00_1195 = 
CUCS2(BgL_arg1011z00_1105); 
return 
make_ucs2_string(BgL_kz00_2, BgL_auxz00_1195);} } } 
}



/* _make-ucs2-string */
obj_t BGl__makezd2ucs2zd2stringz00zz__unicodez00(obj_t BgL_envz00_1022, obj_t BgL_kz00_1023, obj_t BgL_ucs2z00_1024)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 186 */
{ /* ./Llib/unicode.scm 187 */
int BgL_kz00_1106;
BgL_kz00_1106 = 
CINT(BgL_kz00_1023); 
if(
NULLP(BgL_ucs2z00_1024))
{ /* ./Llib/unicode.scm 187 */
ucs2_t BgL_auxz00_1201;
{ /* ./Llib/unicode.scm 187 */
int BgL_auxz00_1202;
{ /* ./Llib/unicode.scm 187 */
long BgL_auxz00_1203;
{ /* ./Llib/unicode.scm 187 */
unsigned char BgL_auxz00_1204;
{ /* ./Llib/unicode.scm 187 */
char BgL_auxz00_1205;
BgL_auxz00_1205 = 
(char)(((unsigned char)' ')); 
BgL_auxz00_1204 = 
(unsigned char)(BgL_auxz00_1205); } 
BgL_auxz00_1203 = 
(BgL_auxz00_1204); } 
BgL_auxz00_1202 = 
(int)(BgL_auxz00_1203); } 
BgL_auxz00_1201 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1202); } 
return 
make_ucs2_string(BgL_kz00_1106, BgL_auxz00_1201);}  else 
{ /* ./Llib/unicode.scm 187 */
obj_t BgL_arg1011z00_1108;
BgL_arg1011z00_1108 = 
CAR(BgL_ucs2z00_1024); 
{ /* ./Llib/unicode.scm 187 */
ucs2_t BgL_auxz00_1213;
BgL_auxz00_1213 = 
CUCS2(BgL_arg1011z00_1108); 
return 
make_ucs2_string(BgL_kz00_1106, BgL_auxz00_1213);} } } } 
}



/* ucs2-string */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2zz__unicodez00(obj_t BgL_ucs2sz00_4)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 194 */
return 
BGl_listzd2ze3ucs2zd2stringze3zz__unicodez00(BgL_ucs2sz00_4);} 
}



/* _ucs2-string */
obj_t BGl__ucs2zd2stringzd2zz__unicodez00(obj_t BgL_envz00_1025, obj_t BgL_ucs2sz00_1026)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 194 */
return 
BGl_listzd2ze3ucs2zd2stringze3zz__unicodez00(BgL_ucs2sz00_1026);} 
}



/* ucs2-string-length */
BGL_EXPORTED_DEF int BGl_ucs2zd2stringzd2lengthz00zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_5)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 200 */
return 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_5);} 
}



/* _ucs2-string-length */
obj_t BGl__ucs2zd2stringzd2lengthz00zz__unicodez00(obj_t BgL_envz00_1027, obj_t BgL_ucs2zd2stringzd2_1028)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 200 */
{ /* ./Llib/unicode.scm 201 */
int BgL_auxz00_1219;
BgL_auxz00_1219 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_1028); 
return 
BINT(BgL_auxz00_1219);} } 
}



/* ucs2-string-ref */
BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2stringzd2refz00zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_6, int BgL_kz00_7)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 206 */
{ /* ./Llib/unicode.scm 207 */
bool_t BgL_testz00_1222;
{ /* ./Llib/unicode.scm 207 */
int BgL_auxz00_1223;
BgL_auxz00_1223 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_6); 
BgL_testz00_1222 = 
BOUND_CHECK(BgL_kz00_7, BgL_auxz00_1223); } 
if(BgL_testz00_1222)
{ /* ./Llib/unicode.scm 207 */
return 
UCS2_STRING_REF(BgL_ucs2zd2stringzd2_6, BgL_kz00_7);}  else 
{ /* ./Llib/unicode.scm 207 */
obj_t BgL_objectz00_1113;
BgL_objectz00_1113 = 
BINT(BgL_kz00_7); 
FAILURE(BGl_string2015z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_1113);} } } 
}



/* _ucs2-string-ref */
obj_t BGl__ucs2zd2stringzd2refz00zz__unicodez00(obj_t BgL_envz00_1029, obj_t BgL_ucs2zd2stringzd2_1030, obj_t BgL_kz00_1031)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 206 */
{ /* ./Llib/unicode.scm 207 */
ucs2_t BgL_auxz00_1229;
{ /* ./Llib/unicode.scm 207 */
int BgL_kz00_1115;
BgL_kz00_1115 = 
CINT(BgL_kz00_1031); 
{ /* ./Llib/unicode.scm 207 */
bool_t BgL_testz00_1231;
{ /* ./Llib/unicode.scm 207 */
int BgL_auxz00_1232;
BgL_auxz00_1232 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_1030); 
BgL_testz00_1231 = 
BOUND_CHECK(BgL_kz00_1115, BgL_auxz00_1232); } 
if(BgL_testz00_1231)
{ /* ./Llib/unicode.scm 207 */
BgL_auxz00_1229 = 
UCS2_STRING_REF(BgL_ucs2zd2stringzd2_1030, BgL_kz00_1115)
; }  else 
{ /* ./Llib/unicode.scm 207 */
obj_t BgL_objectz00_1118;
BgL_objectz00_1118 = 
BINT(BgL_kz00_1115); 
FAILURE(BGl_string2015z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_1118);} } } 
return 
BUCS2(BgL_auxz00_1229);} } 
}



/* ucs2-string-set! */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2setz12z12zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_8, int BgL_kz00_9, ucs2_t BgL_ucs2z00_10)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 214 */
{ /* ./Llib/unicode.scm 215 */
bool_t BgL_testz00_1239;
{ /* ./Llib/unicode.scm 215 */
int BgL_auxz00_1240;
BgL_auxz00_1240 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_8); 
BgL_testz00_1239 = 
BOUND_CHECK(BgL_kz00_9, BgL_auxz00_1240); } 
if(BgL_testz00_1239)
{ /* ./Llib/unicode.scm 215 */
return 
UCS2_STRING_SET(BgL_ucs2zd2stringzd2_8, BgL_kz00_9, BgL_ucs2z00_10);}  else 
{ /* ./Llib/unicode.scm 215 */
obj_t BgL_objectz00_1121;
BgL_objectz00_1121 = 
BINT(BgL_kz00_9); 
FAILURE(BGl_string2017z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_1121);} } } 
}



/* _ucs2-string-set! */
obj_t BGl__ucs2zd2stringzd2setz12z12zz__unicodez00(obj_t BgL_envz00_1032, obj_t BgL_ucs2zd2stringzd2_1033, obj_t BgL_kz00_1034, obj_t BgL_ucs2z00_1035)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 214 */
{ /* ./Llib/unicode.scm 215 */
int BgL_kz00_1123;ucs2_t BgL_ucs2z00_1124;
BgL_kz00_1123 = 
CINT(BgL_kz00_1034); 
BgL_ucs2z00_1124 = 
CUCS2(BgL_ucs2z00_1035); 
{ /* ./Llib/unicode.scm 215 */
bool_t BgL_testz00_1248;
{ /* ./Llib/unicode.scm 215 */
int BgL_auxz00_1249;
BgL_auxz00_1249 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_1033); 
BgL_testz00_1248 = 
BOUND_CHECK(BgL_kz00_1123, BgL_auxz00_1249); } 
if(BgL_testz00_1248)
{ /* ./Llib/unicode.scm 215 */
return 
UCS2_STRING_SET(BgL_ucs2zd2stringzd2_1033, BgL_kz00_1123, BgL_ucs2z00_1124);}  else 
{ /* ./Llib/unicode.scm 215 */
obj_t BgL_objectz00_1127;
BgL_objectz00_1127 = 
BINT(BgL_kz00_1123); 
FAILURE(BGl_string2017z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_1127);} } } } 
}



/* ucs2-string-ref-ur */
BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2stringzd2refzd2urzd2zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_11, int BgL_kz00_12)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 222 */
return 
UCS2_STRING_REF(BgL_ucs2zd2stringzd2_11, BgL_kz00_12);} 
}



/* _ucs2-string-ref-ur */
obj_t BGl__ucs2zd2stringzd2refzd2urzd2zz__unicodez00(obj_t BgL_envz00_1036, obj_t BgL_ucs2zd2stringzd2_1037, obj_t BgL_kz00_1038)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 222 */
{ /* ./Llib/unicode.scm 223 */
ucs2_t BgL_auxz00_1256;
{ /* ./Llib/unicode.scm 223 */
int BgL_auxz00_1257;
BgL_auxz00_1257 = 
CINT(BgL_kz00_1038); 
BgL_auxz00_1256 = 
UCS2_STRING_REF(BgL_ucs2zd2stringzd2_1037, BgL_auxz00_1257); } 
return 
BUCS2(BgL_auxz00_1256);} } 
}



/* ucs2-string-set-ur! */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2setzd2urz12zc0zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_13, int BgL_kz00_14, ucs2_t BgL_ucs2z00_15)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 228 */
return 
UCS2_STRING_SET(BgL_ucs2zd2stringzd2_13, BgL_kz00_14, BgL_ucs2z00_15);} 
}



/* _ucs2-string-set-ur! */
obj_t BGl__ucs2zd2stringzd2setzd2urz12zc0zz__unicodez00(obj_t BgL_envz00_1039, obj_t BgL_ucs2zd2stringzd2_1040, obj_t BgL_kz00_1041, obj_t BgL_ucs2z00_1042)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 228 */
{ /* ./Llib/unicode.scm 229 */
ucs2_t BgL_auxz00_1264;int BgL_auxz00_1262;
BgL_auxz00_1264 = 
CUCS2(BgL_ucs2z00_1042); 
BgL_auxz00_1262 = 
CINT(BgL_kz00_1041); 
return 
UCS2_STRING_SET(BgL_ucs2zd2stringzd2_1040, BgL_auxz00_1262, BgL_auxz00_1264);} } 
}



/* ucs2-string=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringzd3zf3zf2zz__unicodez00(obj_t BgL_ucs2zd2string1zd2_16, obj_t BgL_ucs2zd2string2zd2_17)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 234 */
return 
ucs2_strcmp(BgL_ucs2zd2string1zd2_16, BgL_ucs2zd2string2zd2_17);} 
}



/* _ucs2-string=? */
obj_t BGl__ucs2zd2stringzd3zf3zf2zz__unicodez00(obj_t BgL_envz00_1043, obj_t BgL_ucs2zd2string1zd2_1044, obj_t BgL_ucs2zd2string2zd2_1045)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 234 */
{ /* ./Llib/unicode.scm 235 */
bool_t BgL_auxz00_1268;
BgL_auxz00_1268 = 
ucs2_strcmp(BgL_ucs2zd2string1zd2_1044, BgL_ucs2zd2string2zd2_1045); 
return 
BBOOL(BgL_auxz00_1268);} } 
}



/* ucs2-string-ci=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringzd2cizd3zf3z20zz__unicodez00(obj_t BgL_ucs2zd2string1zd2_18, obj_t BgL_ucs2zd2string2zd2_19)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 240 */
return 
ucs2_strcicmp(BgL_ucs2zd2string1zd2_18, BgL_ucs2zd2string2zd2_19);} 
}



/* _ucs2-string-ci=? */
obj_t BGl__ucs2zd2stringzd2cizd3zf3z20zz__unicodez00(obj_t BgL_envz00_1046, obj_t BgL_ucs2zd2string1zd2_1047, obj_t BgL_ucs2zd2string2zd2_1048)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 240 */
{ /* ./Llib/unicode.scm 241 */
bool_t BgL_auxz00_1272;
BgL_auxz00_1272 = 
ucs2_strcicmp(BgL_ucs2zd2string1zd2_1047, BgL_ucs2zd2string2zd2_1048); 
return 
BBOOL(BgL_auxz00_1272);} } 
}



/* ucs2-string<? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringzc3zf3ze2zz__unicodez00(obj_t BgL_ucs2zd2string1zd2_20, obj_t BgL_ucs2zd2string2zd2_21)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 246 */
return 
ucs2_string_lt(BgL_ucs2zd2string1zd2_20, BgL_ucs2zd2string2zd2_21);} 
}



/* _ucs2-string<? */
obj_t BGl__ucs2zd2stringzc3zf3ze2zz__unicodez00(obj_t BgL_envz00_1049, obj_t BgL_ucs2zd2string1zd2_1050, obj_t BgL_ucs2zd2string2zd2_1051)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 246 */
{ /* ./Llib/unicode.scm 247 */
bool_t BgL_auxz00_1276;
BgL_auxz00_1276 = 
ucs2_string_lt(BgL_ucs2zd2string1zd2_1050, BgL_ucs2zd2string2zd2_1051); 
return 
BBOOL(BgL_auxz00_1276);} } 
}



/* ucs2-string>? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringze3zf3zc2zz__unicodez00(obj_t BgL_ucs2zd2string1zd2_22, obj_t BgL_ucs2zd2string2zd2_23)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 252 */
return 
ucs2_string_gt(BgL_ucs2zd2string1zd2_22, BgL_ucs2zd2string2zd2_23);} 
}



/* _ucs2-string>? */
obj_t BGl__ucs2zd2stringze3zf3zc2zz__unicodez00(obj_t BgL_envz00_1052, obj_t BgL_ucs2zd2string1zd2_1053, obj_t BgL_ucs2zd2string2zd2_1054)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 252 */
{ /* ./Llib/unicode.scm 253 */
bool_t BgL_auxz00_1280;
BgL_auxz00_1280 = 
ucs2_string_gt(BgL_ucs2zd2string1zd2_1053, BgL_ucs2zd2string2zd2_1054); 
return 
BBOOL(BgL_auxz00_1280);} } 
}



/* ucs2-string<=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringzc3zd3zf3z31zz__unicodez00(obj_t BgL_ucs2zd2string1zd2_24, obj_t BgL_ucs2zd2string2zd2_25)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 258 */
return 
ucs2_string_le(BgL_ucs2zd2string1zd2_24, BgL_ucs2zd2string2zd2_25);} 
}



/* _ucs2-string<=? */
obj_t BGl__ucs2zd2stringzc3zd3zf3z31zz__unicodez00(obj_t BgL_envz00_1055, obj_t BgL_ucs2zd2string1zd2_1056, obj_t BgL_ucs2zd2string2zd2_1057)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 258 */
{ /* ./Llib/unicode.scm 259 */
bool_t BgL_auxz00_1284;
BgL_auxz00_1284 = 
ucs2_string_le(BgL_ucs2zd2string1zd2_1056, BgL_ucs2zd2string2zd2_1057); 
return 
BBOOL(BgL_auxz00_1284);} } 
}



/* ucs2-string>=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringze3zd3zf3z11zz__unicodez00(obj_t BgL_ucs2zd2string1zd2_26, obj_t BgL_ucs2zd2string2zd2_27)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 264 */
return 
ucs2_string_ge(BgL_ucs2zd2string1zd2_26, BgL_ucs2zd2string2zd2_27);} 
}



/* _ucs2-string>=? */
obj_t BGl__ucs2zd2stringze3zd3zf3z11zz__unicodez00(obj_t BgL_envz00_1058, obj_t BgL_ucs2zd2string1zd2_1059, obj_t BgL_ucs2zd2string2zd2_1060)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 264 */
{ /* ./Llib/unicode.scm 265 */
bool_t BgL_auxz00_1288;
BgL_auxz00_1288 = 
ucs2_string_ge(BgL_ucs2zd2string1zd2_1059, BgL_ucs2zd2string2zd2_1060); 
return 
BBOOL(BgL_auxz00_1288);} } 
}



/* ucs2-string-ci<? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringzd2cizc3zf3z30zz__unicodez00(obj_t BgL_ucs2zd2string1zd2_28, obj_t BgL_ucs2zd2string2zd2_29)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 270 */
return 
ucs2_string_cilt(BgL_ucs2zd2string1zd2_28, BgL_ucs2zd2string2zd2_29);} 
}



/* _ucs2-string-ci<? */
obj_t BGl__ucs2zd2stringzd2cizc3zf3z30zz__unicodez00(obj_t BgL_envz00_1061, obj_t BgL_ucs2zd2string1zd2_1062, obj_t BgL_ucs2zd2string2zd2_1063)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 270 */
{ /* ./Llib/unicode.scm 271 */
bool_t BgL_auxz00_1292;
BgL_auxz00_1292 = 
ucs2_string_cilt(BgL_ucs2zd2string1zd2_1062, BgL_ucs2zd2string2zd2_1063); 
return 
BBOOL(BgL_auxz00_1292);} } 
}



/* ucs2-string-ci>? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringzd2cize3zf3z10zz__unicodez00(obj_t BgL_ucs2zd2string1zd2_30, obj_t BgL_ucs2zd2string2zd2_31)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 276 */
return 
ucs2_string_cigt(BgL_ucs2zd2string1zd2_30, BgL_ucs2zd2string2zd2_31);} 
}



/* _ucs2-string-ci>? */
obj_t BGl__ucs2zd2stringzd2cize3zf3z10zz__unicodez00(obj_t BgL_envz00_1064, obj_t BgL_ucs2zd2string1zd2_1065, obj_t BgL_ucs2zd2string2zd2_1066)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 276 */
{ /* ./Llib/unicode.scm 277 */
bool_t BgL_auxz00_1296;
BgL_auxz00_1296 = 
ucs2_string_cigt(BgL_ucs2zd2string1zd2_1065, BgL_ucs2zd2string2zd2_1066); 
return 
BBOOL(BgL_auxz00_1296);} } 
}



/* ucs2-string-ci<=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringzd2cizc3zd3zf3ze3zz__unicodez00(obj_t BgL_ucs2zd2string1zd2_32, obj_t BgL_ucs2zd2string2zd2_33)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 282 */
return 
ucs2_string_cile(BgL_ucs2zd2string1zd2_32, BgL_ucs2zd2string2zd2_33);} 
}



/* _ucs2-string-ci<=? */
obj_t BGl__ucs2zd2stringzd2cizc3zd3zf3ze3zz__unicodez00(obj_t BgL_envz00_1067, obj_t BgL_ucs2zd2string1zd2_1068, obj_t BgL_ucs2zd2string2zd2_1069)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 282 */
{ /* ./Llib/unicode.scm 283 */
bool_t BgL_auxz00_1300;
BgL_auxz00_1300 = 
ucs2_string_cile(BgL_ucs2zd2string1zd2_1068, BgL_ucs2zd2string2zd2_1069); 
return 
BBOOL(BgL_auxz00_1300);} } 
}



/* ucs2-string-ci>=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2stringzd2cize3zd3zf3zc3zz__unicodez00(obj_t BgL_ucs2zd2string1zd2_34, obj_t BgL_ucs2zd2string2zd2_35)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 288 */
return 
ucs2_string_cige(BgL_ucs2zd2string1zd2_34, BgL_ucs2zd2string2zd2_35);} 
}



/* _ucs2-string-ci>=? */
obj_t BGl__ucs2zd2stringzd2cize3zd3zf3zc3zz__unicodez00(obj_t BgL_envz00_1070, obj_t BgL_ucs2zd2string1zd2_1071, obj_t BgL_ucs2zd2string2zd2_1072)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 288 */
{ /* ./Llib/unicode.scm 289 */
bool_t BgL_auxz00_1304;
BgL_auxz00_1304 = 
ucs2_string_cige(BgL_ucs2zd2string1zd2_1071, BgL_ucs2zd2string2zd2_1072); 
return 
BBOOL(BgL_auxz00_1304);} } 
}



/* subucs2-string */
BGL_EXPORTED_DEF obj_t BGl_subucs2zd2stringzd2zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_36, int BgL_startz00_37, int BgL_endz00_38)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 294 */
{ /* ./Llib/unicode.scm 296 */
bool_t BgL_test1043z00_1153;
{ /* ./Llib/unicode.scm 296 */
bool_t BgL_testz00_1307;
{ /* ./Llib/unicode.scm 296 */
long BgL_auxz00_1310;long BgL_auxz00_1308;
BgL_auxz00_1310 = 
(long)(BgL_startz00_37); 
BgL_auxz00_1308 = 
(long)(BgL_endz00_38); 
BgL_testz00_1307 = 
(BgL_auxz00_1308>=BgL_auxz00_1310); } 
if(BgL_testz00_1307)
{ /* ./Llib/unicode.scm 296 */
bool_t BgL_testz00_1313;
{ /* ./Llib/unicode.scm 296 */
int BgL_auxz00_1314;
{ /* ./Llib/unicode.scm 296 */
long BgL_auxz00_1315;
{ /* ./Llib/unicode.scm 296 */
long BgL_auxz00_1316;
{ /* ./Llib/unicode.scm 296 */
int BgL_auxz00_1317;
BgL_auxz00_1317 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_36); 
BgL_auxz00_1316 = 
(long)(BgL_auxz00_1317); } 
BgL_auxz00_1315 = 
(BgL_auxz00_1316+((long)1)); } 
BgL_auxz00_1314 = 
(int)(BgL_auxz00_1315); } 
BgL_testz00_1313 = 
BOUND_CHECK(BgL_startz00_37, BgL_auxz00_1314); } 
if(BgL_testz00_1313)
{ /* ./Llib/unicode.scm 296 */
int BgL_auxz00_1323;
{ /* ./Llib/unicode.scm 296 */
long BgL_auxz00_1324;
{ /* ./Llib/unicode.scm 296 */
long BgL_auxz00_1325;
{ /* ./Llib/unicode.scm 296 */
int BgL_auxz00_1326;
BgL_auxz00_1326 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_36); 
BgL_auxz00_1325 = 
(long)(BgL_auxz00_1326); } 
BgL_auxz00_1324 = 
(BgL_auxz00_1325+((long)1)); } 
BgL_auxz00_1323 = 
(int)(BgL_auxz00_1324); } 
BgL_test1043z00_1153 = 
BOUND_CHECK(BgL_endz00_38, BgL_auxz00_1323); }  else 
{ /* ./Llib/unicode.scm 296 */
BgL_test1043z00_1153 = ((bool_t)0); } }  else 
{ /* ./Llib/unicode.scm 296 */
BgL_test1043z00_1153 = ((bool_t)0); } } 
if(BgL_test1043z00_1153)
{ /* ./Llib/unicode.scm 296 */
return 
c_subucs2_string(BgL_ucs2zd2stringzd2_36, BgL_startz00_37, BgL_endz00_38);}  else 
{ /* ./Llib/unicode.scm 296 */
obj_t BgL_arg1048z00_1154;
{ /* ./Llib/unicode.scm 296 */
obj_t BgL_auxz00_1336;obj_t BgL_auxz00_1334;
BgL_auxz00_1336 = 
BINT(BgL_endz00_38); 
BgL_auxz00_1334 = 
BINT(BgL_startz00_37); 
BgL_arg1048z00_1154 = 
MAKE_PAIR(BgL_auxz00_1334, BgL_auxz00_1336); } 
FAILURE(BGl_string2018z00zz__unicodez00,BGl_string2019z00zz__unicodez00,BgL_arg1048z00_1154);} } } 
}



/* _subucs2-string */
obj_t BGl__subucs2zd2stringzd2zz__unicodez00(obj_t BgL_envz00_1073, obj_t BgL_ucs2zd2stringzd2_1074, obj_t BgL_startz00_1075, obj_t BgL_endz00_1076)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 294 */
{ /* ./Llib/unicode.scm 296 */
obj_t BgL_res2020z00_1164;
{ /* ./Llib/unicode.scm 296 */
int BgL_startz00_1158;int BgL_endz00_1159;
BgL_startz00_1158 = 
CINT(BgL_startz00_1075); 
BgL_endz00_1159 = 
CINT(BgL_endz00_1076); 
{ /* ./Llib/unicode.scm 296 */
bool_t BgL_test1043z00_1160;
{ /* ./Llib/unicode.scm 296 */
bool_t BgL_testz00_1342;
{ /* ./Llib/unicode.scm 296 */
long BgL_auxz00_1345;long BgL_auxz00_1343;
BgL_auxz00_1345 = 
(long)(BgL_startz00_1158); 
BgL_auxz00_1343 = 
(long)(BgL_endz00_1159); 
BgL_testz00_1342 = 
(BgL_auxz00_1343>=BgL_auxz00_1345); } 
if(BgL_testz00_1342)
{ /* ./Llib/unicode.scm 296 */
bool_t BgL_testz00_1348;
{ /* ./Llib/unicode.scm 296 */
int BgL_auxz00_1349;
{ /* ./Llib/unicode.scm 296 */
long BgL_auxz00_1350;
{ /* ./Llib/unicode.scm 296 */
long BgL_auxz00_1351;
{ /* ./Llib/unicode.scm 296 */
int BgL_auxz00_1352;
BgL_auxz00_1352 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_1074); 
BgL_auxz00_1351 = 
(long)(BgL_auxz00_1352); } 
BgL_auxz00_1350 = 
(BgL_auxz00_1351+((long)1)); } 
BgL_auxz00_1349 = 
(int)(BgL_auxz00_1350); } 
BgL_testz00_1348 = 
BOUND_CHECK(BgL_startz00_1158, BgL_auxz00_1349); } 
if(BgL_testz00_1348)
{ /* ./Llib/unicode.scm 296 */
int BgL_auxz00_1358;
{ /* ./Llib/unicode.scm 296 */
long BgL_auxz00_1359;
{ /* ./Llib/unicode.scm 296 */
long BgL_auxz00_1360;
{ /* ./Llib/unicode.scm 296 */
int BgL_auxz00_1361;
BgL_auxz00_1361 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_1074); 
BgL_auxz00_1360 = 
(long)(BgL_auxz00_1361); } 
BgL_auxz00_1359 = 
(BgL_auxz00_1360+((long)1)); } 
BgL_auxz00_1358 = 
(int)(BgL_auxz00_1359); } 
BgL_test1043z00_1160 = 
BOUND_CHECK(BgL_endz00_1159, BgL_auxz00_1358); }  else 
{ /* ./Llib/unicode.scm 296 */
BgL_test1043z00_1160 = ((bool_t)0); } }  else 
{ /* ./Llib/unicode.scm 296 */
BgL_test1043z00_1160 = ((bool_t)0); } } 
if(BgL_test1043z00_1160)
{ /* ./Llib/unicode.scm 296 */
BgL_res2020z00_1164 = 
c_subucs2_string(BgL_ucs2zd2stringzd2_1074, BgL_startz00_1158, BgL_endz00_1159); }  else 
{ /* ./Llib/unicode.scm 296 */
obj_t BgL_arg1048z00_1161;
{ /* ./Llib/unicode.scm 296 */
obj_t BgL_auxz00_1371;obj_t BgL_auxz00_1369;
BgL_auxz00_1371 = 
BINT(BgL_endz00_1159); 
BgL_auxz00_1369 = 
BINT(BgL_startz00_1158); 
BgL_arg1048z00_1161 = 
MAKE_PAIR(BgL_auxz00_1369, BgL_auxz00_1371); } 
FAILURE(BGl_string2018z00zz__unicodez00,BGl_string2019z00zz__unicodez00,BgL_arg1048z00_1161);} } } 
return BgL_res2020z00_1164;} } 
}



/* subucs2-string-ur */
BGL_EXPORTED_DEF obj_t BGl_subucs2zd2stringzd2urz00zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_39, int BgL_startz00_40, int BgL_endz00_41)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 309 */
return 
c_subucs2_string(BgL_ucs2zd2stringzd2_39, BgL_startz00_40, BgL_endz00_41);} 
}



/* _subucs2-string-ur */
obj_t BGl__subucs2zd2stringzd2urz00zz__unicodez00(obj_t BgL_envz00_1077, obj_t BgL_ucs2zd2stringzd2_1078, obj_t BgL_startz00_1079, obj_t BgL_endz00_1080)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 309 */
{ /* ./Llib/unicode.scm 310 */
int BgL_auxz00_1378;int BgL_auxz00_1376;
BgL_auxz00_1378 = 
CINT(BgL_endz00_1080); 
BgL_auxz00_1376 = 
CINT(BgL_startz00_1079); 
return 
c_subucs2_string(BgL_ucs2zd2stringzd2_1078, BgL_auxz00_1376, BgL_auxz00_1378);} } 
}



/* ucs2-string-append */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2appendz00zz__unicodez00(obj_t BgL_listz00_42)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 315 */
if(
NULLP(BgL_listz00_42))
{ /* ./Llib/unicode.scm 317 */
ucs2_t BgL_auxz00_1385;int BgL_auxz00_1383;
{ /* ./Llib/unicode.scm 317 */
int BgL_auxz00_1386;
{ /* ./Llib/unicode.scm 317 */
long BgL_auxz00_1387;
{ /* ./Llib/unicode.scm 317 */
unsigned char BgL_auxz00_1388;
{ /* ./Llib/unicode.scm 317 */
char BgL_auxz00_1389;
BgL_auxz00_1389 = 
(char)(((unsigned char)' ')); 
BgL_auxz00_1388 = 
(unsigned char)(BgL_auxz00_1389); } 
BgL_auxz00_1387 = 
(BgL_auxz00_1388); } 
BgL_auxz00_1386 = 
(int)(BgL_auxz00_1387); } 
BgL_auxz00_1385 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1386); } 
BgL_auxz00_1383 = 
(int)(((long)0)); 
return 
make_ucs2_string(BgL_auxz00_1383, BgL_auxz00_1385);}  else 
{ /* ./Llib/unicode.scm 316 */
return 
BGl_loopz00zz__unicodez00(BgL_listz00_42);} } 
}



/* loop */
obj_t BGl_loopz00zz__unicodez00(obj_t BgL_listz00_421)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 318 */
{ /* ./Llib/unicode.scm 319 */
bool_t BgL_testz00_1397;
{ /* ./Llib/unicode.scm 319 */
obj_t BgL_auxz00_1398;
BgL_auxz00_1398 = 
CDR(BgL_listz00_421); 
BgL_testz00_1397 = 
NULLP(BgL_auxz00_1398); } 
if(BgL_testz00_1397)
{ /* ./Llib/unicode.scm 319 */
return 
CAR(BgL_listz00_421);}  else 
{ /* ./Llib/unicode.scm 321 */
obj_t BgL_auxz00_1404;obj_t BgL_auxz00_1402;
BgL_auxz00_1404 = 
BGl_loopz00zz__unicodez00(
CDR(BgL_listz00_421)); 
BgL_auxz00_1402 = 
CAR(BgL_listz00_421); 
return 
ucs2_string_append(BgL_auxz00_1402, BgL_auxz00_1404);} } } 
}



/* _ucs2-string-append */
obj_t BGl__ucs2zd2stringzd2appendz00zz__unicodez00(obj_t BgL_envz00_1081, obj_t BgL_listz00_1082)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 315 */
return 
BGl_ucs2zd2stringzd2appendz00zz__unicodez00(BgL_listz00_1082);} 
}



/* list->ucs2-string */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3ucs2zd2stringze3zz__unicodez00(obj_t BgL_listz00_43)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 326 */
{ /* ./Llib/unicode.scm 327 */
long BgL_lenz00_428;
BgL_lenz00_428 = 
bgl_list_length(BgL_listz00_43); 
{ /* ./Llib/unicode.scm 327 */
obj_t BgL_ucs2zd2stringzd2_429;
{ /* ./Llib/unicode.scm 328 */
ucs2_t BgL_auxz00_1412;int BgL_auxz00_1410;
{ /* ./Llib/unicode.scm 328 */
int BgL_auxz00_1413;
{ /* ./Llib/unicode.scm 328 */
long BgL_auxz00_1414;
{ /* ./Llib/unicode.scm 328 */
unsigned char BgL_auxz00_1415;
{ /* ./Llib/unicode.scm 328 */
char BgL_auxz00_1416;
BgL_auxz00_1416 = 
(char)(((unsigned char)' ')); 
BgL_auxz00_1415 = 
(unsigned char)(BgL_auxz00_1416); } 
BgL_auxz00_1414 = 
(BgL_auxz00_1415); } 
BgL_auxz00_1413 = 
(int)(BgL_auxz00_1414); } 
BgL_auxz00_1412 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1413); } 
BgL_auxz00_1410 = 
(int)(BgL_lenz00_428); 
BgL_ucs2zd2stringzd2_429 = 
make_ucs2_string(BgL_auxz00_1410, BgL_auxz00_1412); } 
{ /* ./Llib/unicode.scm 328 */

{ 
long BgL_iz00_711;obj_t BgL_lz00_712;
BgL_iz00_711 = ((long)0); 
BgL_lz00_712 = BgL_listz00_43; 
BgL_loopz00_710:
if(
(BgL_iz00_711==BgL_lenz00_428))
{ /* ./Llib/unicode.scm 329 */
return BgL_ucs2zd2stringzd2_429;}  else 
{ /* ./Llib/unicode.scm 329 */
{ /* ./Llib/unicode.scm 329 */
obj_t BgL_arg1096z00_718;
BgL_arg1096z00_718 = 
CAR(BgL_lz00_712); 
{ /* ./Llib/unicode.scm 329 */
int BgL_kz00_725;ucs2_t BgL_ucs2z00_726;
BgL_kz00_725 = 
(int)(BgL_iz00_711); 
BgL_ucs2z00_726 = 
CUCS2(BgL_arg1096z00_718); 
{ /* ./Llib/unicode.scm 329 */
bool_t BgL_testz00_1428;
{ /* ./Llib/unicode.scm 329 */
int BgL_auxz00_1429;
BgL_auxz00_1429 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_429); 
BgL_testz00_1428 = 
BOUND_CHECK(BgL_kz00_725, BgL_auxz00_1429); } 
if(BgL_testz00_1428)
{ /* ./Llib/unicode.scm 329 */
UCS2_STRING_SET(BgL_ucs2zd2stringzd2_429, BgL_kz00_725, BgL_ucs2z00_726); }  else 
{ /* ./Llib/unicode.scm 329 */
obj_t BgL_objectz00_732;
BgL_objectz00_732 = 
BINT(BgL_kz00_725); 
FAILURE(BGl_string2017z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_732);} } } } 
{ 
obj_t BgL_lz00_1437;long BgL_iz00_1435;
BgL_iz00_1435 = 
(BgL_iz00_711+((long)1)); 
BgL_lz00_1437 = 
CDR(BgL_lz00_712); 
BgL_lz00_712 = BgL_lz00_1437; 
BgL_iz00_711 = BgL_iz00_1435; 
goto BgL_loopz00_710;} } } } } } } 
}



/* _list->ucs2-string */
obj_t BGl__listzd2ze3ucs2zd2stringze3zz__unicodez00(obj_t BgL_envz00_1083, obj_t BgL_listz00_1084)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 326 */
return 
BGl_listzd2ze3ucs2zd2stringze3zz__unicodez00(BgL_listz00_1084);} 
}



/* ucs2-string->list */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2ze3listze3zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_44)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 340 */
{ /* ./Llib/unicode.scm 341 */
int BgL_lenz00_438;
BgL_lenz00_438 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_44); 
{ 
long BgL_iz00_778;obj_t BgL_accz00_779;
BgL_iz00_778 = ((long)0); 
BgL_accz00_779 = BNIL; 
BgL_loopz00_777:
{ /* ./Llib/unicode.scm 342 */
bool_t BgL_testz00_1441;
{ /* ./Llib/unicode.scm 342 */
long BgL_auxz00_1442;
BgL_auxz00_1442 = 
(long)(BgL_lenz00_438); 
BgL_testz00_1441 = 
(BgL_iz00_778==BgL_auxz00_1442); } 
if(BgL_testz00_1441)
{ /* ./Llib/unicode.scm 342 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_accz00_779);}  else 
{ /* ./Llib/unicode.scm 342 */
long BgL_arg1113z00_785;obj_t BgL_arg1114z00_786;
BgL_arg1113z00_785 = 
(BgL_iz00_778+((long)1)); 
{ /* ./Llib/unicode.scm 342 */
ucs2_t BgL_arg1118z00_787;
{ /* ./Llib/unicode.scm 342 */
ucs2_t BgL_res1857z00_800;
{ /* ./Llib/unicode.scm 342 */
int BgL_kz00_793;
BgL_kz00_793 = 
(int)(BgL_iz00_778); 
{ /* ./Llib/unicode.scm 342 */
bool_t BgL_testz00_1448;
{ /* ./Llib/unicode.scm 342 */
int BgL_auxz00_1449;
BgL_auxz00_1449 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_44); 
BgL_testz00_1448 = 
BOUND_CHECK(BgL_kz00_793, BgL_auxz00_1449); } 
if(BgL_testz00_1448)
{ /* ./Llib/unicode.scm 342 */
BgL_res1857z00_800 = 
UCS2_STRING_REF(BgL_ucs2zd2stringzd2_44, BgL_kz00_793); }  else 
{ /* ./Llib/unicode.scm 342 */
obj_t BgL_objectz00_799;
BgL_objectz00_799 = 
BINT(BgL_kz00_793); 
FAILURE(BGl_string2015z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_799);} } } 
BgL_arg1118z00_787 = BgL_res1857z00_800; } 
{ /* ./Llib/unicode.scm 342 */
obj_t BgL_auxz00_1455;
BgL_auxz00_1455 = 
BUCS2(BgL_arg1118z00_787); 
BgL_arg1114z00_786 = 
MAKE_PAIR(BgL_auxz00_1455, BgL_accz00_779); } } 
{ 
obj_t BgL_accz00_1459;long BgL_iz00_1458;
BgL_iz00_1458 = BgL_arg1113z00_785; 
BgL_accz00_1459 = BgL_arg1114z00_786; 
BgL_accz00_779 = BgL_accz00_1459; 
BgL_iz00_778 = BgL_iz00_1458; 
goto BgL_loopz00_777;} } } } } } 
}



/* _ucs2-string->list */
obj_t BGl__ucs2zd2stringzd2ze3listze3zz__unicodez00(obj_t BgL_envz00_1085, obj_t BgL_ucs2zd2stringzd2_1086)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 340 */
return 
BGl_ucs2zd2stringzd2ze3listze3zz__unicodez00(BgL_ucs2zd2stringzd2_1086);} 
}



/* ucs2-string-copy */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2copyz00zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_45)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 353 */
return 
c_ucs2_string_copy(BgL_ucs2zd2stringzd2_45);} 
}



/* _ucs2-string-copy */
obj_t BGl__ucs2zd2stringzd2copyz00zz__unicodez00(obj_t BgL_envz00_1087, obj_t BgL_ucs2zd2stringzd2_1088)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 353 */
return 
c_ucs2_string_copy(BgL_ucs2zd2stringzd2_1088);} 
}



/* ucs2-string-fill! */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2fillz12z12zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_46, ucs2_t BgL_ucs2z00_47)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 359 */
{ /* ./Llib/unicode.scm 360 */
int BgL_lenz00_837;
BgL_lenz00_837 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_46); 
{ 
long BgL_iz00_844;
BgL_iz00_844 = ((long)0); 
BgL_loopz00_843:
{ /* ./Llib/unicode.scm 360 */
bool_t BgL_testz00_1464;
{ /* ./Llib/unicode.scm 360 */
long BgL_auxz00_1465;
BgL_auxz00_1465 = 
(long)(BgL_lenz00_837); 
BgL_testz00_1464 = 
(BgL_iz00_844==BgL_auxz00_1465); } 
if(BgL_testz00_1464)
{ /* ./Llib/unicode.scm 360 */
return BgL_ucs2zd2stringzd2_46;}  else 
{ /* ./Llib/unicode.scm 360 */
{ /* ./Llib/unicode.scm 360 */
int BgL_kz00_852;
BgL_kz00_852 = 
(int)(BgL_iz00_844); 
{ /* ./Llib/unicode.scm 360 */
bool_t BgL_testz00_1469;
{ /* ./Llib/unicode.scm 360 */
int BgL_auxz00_1470;
BgL_auxz00_1470 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_46); 
BgL_testz00_1469 = 
BOUND_CHECK(BgL_kz00_852, BgL_auxz00_1470); } 
if(BgL_testz00_1469)
{ /* ./Llib/unicode.scm 360 */
UCS2_STRING_SET(BgL_ucs2zd2stringzd2_46, BgL_kz00_852, BgL_ucs2z00_47); }  else 
{ /* ./Llib/unicode.scm 360 */
obj_t BgL_objectz00_859;
BgL_objectz00_859 = 
BINT(BgL_kz00_852); 
FAILURE(BGl_string2017z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_859);} } } 
{ 
long BgL_iz00_1476;
BgL_iz00_1476 = 
(BgL_iz00_844+((long)1)); 
BgL_iz00_844 = BgL_iz00_1476; 
goto BgL_loopz00_843;} } } } } } 
}



/* _ucs2-string-fill! */
obj_t BGl__ucs2zd2stringzd2fillz12z12zz__unicodez00(obj_t BgL_envz00_1089, obj_t BgL_ucs2zd2stringzd2_1090, obj_t BgL_ucs2z00_1091)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 359 */
return 
BGl_ucs2zd2stringzd2fillz12z12zz__unicodez00(BgL_ucs2zd2stringzd2_1090, 
CUCS2(BgL_ucs2z00_1091));} 
}



/* ucs2-string-upcase */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2upcasez00zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_48)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 371 */
{ /* ./Llib/unicode.scm 372 */
int BgL_lenz00_451;
BgL_lenz00_451 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_48); 
{ /* ./Llib/unicode.scm 372 */
obj_t BgL_resz00_452;
{ /* ./Llib/unicode.scm 373 */
ucs2_t BgL_auxz00_1481;
{ /* ./Llib/unicode.scm 373 */
int BgL_auxz00_1482;
{ /* ./Llib/unicode.scm 373 */
long BgL_auxz00_1483;
{ /* ./Llib/unicode.scm 373 */
unsigned char BgL_auxz00_1484;
{ /* ./Llib/unicode.scm 373 */
char BgL_auxz00_1485;
BgL_auxz00_1485 = 
(char)(((unsigned char)' ')); 
BgL_auxz00_1484 = 
(unsigned char)(BgL_auxz00_1485); } 
BgL_auxz00_1483 = 
(BgL_auxz00_1484); } 
BgL_auxz00_1482 = 
(int)(BgL_auxz00_1483); } 
BgL_auxz00_1481 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1482); } 
BgL_resz00_452 = 
make_ucs2_string(BgL_lenz00_451, BgL_auxz00_1481); } 
{ /* ./Llib/unicode.scm 373 */

{ 
long BgL_iz00_453;
BgL_iz00_453 = ((long)0); 
BgL_loopz00_454:
{ /* ./Llib/unicode.scm 375 */
bool_t BgL_testz00_1492;
{ /* ./Llib/unicode.scm 375 */
long BgL_auxz00_1493;
BgL_auxz00_1493 = 
(long)(BgL_lenz00_451); 
BgL_testz00_1492 = 
(BgL_iz00_453==BgL_auxz00_1493); } 
if(BgL_testz00_1492)
{ /* ./Llib/unicode.scm 375 */
return BgL_resz00_452;}  else 
{ /* ./Llib/unicode.scm 375 */
{ /* ./Llib/unicode.scm 380 */
ucs2_t BgL_arg1136z00_456;
{ /* ./Llib/unicode.scm 380 */
ucs2_t BgL_arg1140z00_457;
{ /* ./Llib/unicode.scm 380 */
ucs2_t BgL_res1862z00_916;
{ /* ./Llib/unicode.scm 380 */
int BgL_kz00_909;
BgL_kz00_909 = 
(int)(BgL_iz00_453); 
{ /* ./Llib/unicode.scm 380 */
bool_t BgL_testz00_1497;
{ /* ./Llib/unicode.scm 380 */
int BgL_auxz00_1498;
BgL_auxz00_1498 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_48); 
BgL_testz00_1497 = 
BOUND_CHECK(BgL_kz00_909, BgL_auxz00_1498); } 
if(BgL_testz00_1497)
{ /* ./Llib/unicode.scm 380 */
BgL_res1862z00_916 = 
UCS2_STRING_REF(BgL_ucs2zd2stringzd2_48, BgL_kz00_909); }  else 
{ /* ./Llib/unicode.scm 380 */
obj_t BgL_objectz00_915;
BgL_objectz00_915 = 
BINT(BgL_kz00_909); 
FAILURE(BGl_string2015z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_915);} } } 
BgL_arg1140z00_457 = BgL_res1862z00_916; } 
BgL_arg1136z00_456 = 
ucs2_toupper(BgL_arg1140z00_457); } 
{ /* ./Llib/unicode.scm 378 */
int BgL_kz00_919;
BgL_kz00_919 = 
(int)(BgL_iz00_453); 
{ /* ./Llib/unicode.scm 378 */
bool_t BgL_testz00_1506;
{ /* ./Llib/unicode.scm 378 */
int BgL_auxz00_1507;
BgL_auxz00_1507 = 
UCS2_STRING_LENGTH(BgL_resz00_452); 
BgL_testz00_1506 = 
BOUND_CHECK(BgL_kz00_919, BgL_auxz00_1507); } 
if(BgL_testz00_1506)
{ /* ./Llib/unicode.scm 378 */
UCS2_STRING_SET(BgL_resz00_452, BgL_kz00_919, BgL_arg1136z00_456); }  else 
{ /* ./Llib/unicode.scm 378 */
obj_t BgL_objectz00_926;
BgL_objectz00_926 = 
BINT(BgL_kz00_919); 
FAILURE(BGl_string2017z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_926);} } } } 
{ 
long BgL_iz00_1513;
BgL_iz00_1513 = 
(BgL_iz00_453+((long)1)); 
BgL_iz00_453 = BgL_iz00_1513; 
goto BgL_loopz00_454;} } } } } } } } 
}



/* _ucs2-string-upcase */
obj_t BGl__ucs2zd2stringzd2upcasez00zz__unicodez00(obj_t BgL_envz00_1092, obj_t BgL_ucs2zd2stringzd2_1093)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 371 */
return 
BGl_ucs2zd2stringzd2upcasez00zz__unicodez00(BgL_ucs2zd2stringzd2_1093);} 
}



/* ucs2-string-downcase */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2downcasez00zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_49)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 387 */
{ /* ./Llib/unicode.scm 388 */
int BgL_lenz00_460;
BgL_lenz00_460 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_49); 
{ /* ./Llib/unicode.scm 388 */
obj_t BgL_resz00_461;
{ /* ./Llib/unicode.scm 389 */
ucs2_t BgL_auxz00_1517;
{ /* ./Llib/unicode.scm 389 */
int BgL_auxz00_1518;
{ /* ./Llib/unicode.scm 389 */
long BgL_auxz00_1519;
{ /* ./Llib/unicode.scm 389 */
unsigned char BgL_auxz00_1520;
{ /* ./Llib/unicode.scm 389 */
char BgL_auxz00_1521;
BgL_auxz00_1521 = 
(char)(((unsigned char)' ')); 
BgL_auxz00_1520 = 
(unsigned char)(BgL_auxz00_1521); } 
BgL_auxz00_1519 = 
(BgL_auxz00_1520); } 
BgL_auxz00_1518 = 
(int)(BgL_auxz00_1519); } 
BgL_auxz00_1517 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1518); } 
BgL_resz00_461 = 
make_ucs2_string(BgL_lenz00_460, BgL_auxz00_1517); } 
{ /* ./Llib/unicode.scm 389 */

{ 
long BgL_iz00_462;
BgL_iz00_462 = ((long)0); 
BgL_loopz00_463:
{ /* ./Llib/unicode.scm 391 */
bool_t BgL_testz00_1528;
{ /* ./Llib/unicode.scm 391 */
long BgL_auxz00_1529;
BgL_auxz00_1529 = 
(long)(BgL_lenz00_460); 
BgL_testz00_1528 = 
(BgL_iz00_462==BgL_auxz00_1529); } 
if(BgL_testz00_1528)
{ /* ./Llib/unicode.scm 391 */
return BgL_resz00_461;}  else 
{ /* ./Llib/unicode.scm 391 */
{ /* ./Llib/unicode.scm 396 */
ucs2_t BgL_arg1154z00_465;
{ /* ./Llib/unicode.scm 396 */
ucs2_t BgL_arg1158z00_466;
{ /* ./Llib/unicode.scm 396 */
ucs2_t BgL_res1865z00_952;
{ /* ./Llib/unicode.scm 396 */
int BgL_kz00_945;
BgL_kz00_945 = 
(int)(BgL_iz00_462); 
{ /* ./Llib/unicode.scm 396 */
bool_t BgL_testz00_1533;
{ /* ./Llib/unicode.scm 396 */
int BgL_auxz00_1534;
BgL_auxz00_1534 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_49); 
BgL_testz00_1533 = 
BOUND_CHECK(BgL_kz00_945, BgL_auxz00_1534); } 
if(BgL_testz00_1533)
{ /* ./Llib/unicode.scm 396 */
BgL_res1865z00_952 = 
UCS2_STRING_REF(BgL_ucs2zd2stringzd2_49, BgL_kz00_945); }  else 
{ /* ./Llib/unicode.scm 396 */
obj_t BgL_objectz00_951;
BgL_objectz00_951 = 
BINT(BgL_kz00_945); 
FAILURE(BGl_string2015z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_951);} } } 
BgL_arg1158z00_466 = BgL_res1865z00_952; } 
BgL_arg1154z00_465 = 
ucs2_tolower(BgL_arg1158z00_466); } 
{ /* ./Llib/unicode.scm 394 */
int BgL_kz00_955;
BgL_kz00_955 = 
(int)(BgL_iz00_462); 
{ /* ./Llib/unicode.scm 394 */
bool_t BgL_testz00_1542;
{ /* ./Llib/unicode.scm 394 */
int BgL_auxz00_1543;
BgL_auxz00_1543 = 
UCS2_STRING_LENGTH(BgL_resz00_461); 
BgL_testz00_1542 = 
BOUND_CHECK(BgL_kz00_955, BgL_auxz00_1543); } 
if(BgL_testz00_1542)
{ /* ./Llib/unicode.scm 394 */
UCS2_STRING_SET(BgL_resz00_461, BgL_kz00_955, BgL_arg1154z00_465); }  else 
{ /* ./Llib/unicode.scm 394 */
obj_t BgL_objectz00_962;
BgL_objectz00_962 = 
BINT(BgL_kz00_955); 
FAILURE(BGl_string2017z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_962);} } } } 
{ 
long BgL_iz00_1549;
BgL_iz00_1549 = 
(BgL_iz00_462+((long)1)); 
BgL_iz00_462 = BgL_iz00_1549; 
goto BgL_loopz00_463;} } } } } } } } 
}



/* _ucs2-string-downcase */
obj_t BGl__ucs2zd2stringzd2downcasez00zz__unicodez00(obj_t BgL_envz00_1094, obj_t BgL_ucs2zd2stringzd2_1095)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 387 */
return 
BGl_ucs2zd2stringzd2downcasez00zz__unicodez00(BgL_ucs2zd2stringzd2_1095);} 
}



/* ucs2-string-upcase! */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2upcasez12z12zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_50)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 403 */
{ /* ./Llib/unicode.scm 404 */
int BgL_lenz00_469;
BgL_lenz00_469 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_50); 
{ /* ./Llib/unicode.scm 405 */

{ 
long BgL_iz00_471;
BgL_iz00_471 = ((long)0); 
BgL_loopz00_472:
{ /* ./Llib/unicode.scm 407 */
bool_t BgL_testz00_1553;
{ /* ./Llib/unicode.scm 407 */
long BgL_auxz00_1554;
BgL_auxz00_1554 = 
(long)(BgL_lenz00_469); 
BgL_testz00_1553 = 
(BgL_iz00_471==BgL_auxz00_1554); } 
if(BgL_testz00_1553)
{ /* ./Llib/unicode.scm 407 */
return BgL_ucs2zd2stringzd2_50;}  else 
{ /* ./Llib/unicode.scm 407 */
{ /* ./Llib/unicode.scm 412 */
ucs2_t BgL_arg1172z00_474;
{ /* ./Llib/unicode.scm 412 */
ucs2_t BgL_arg1175z00_475;
{ /* ./Llib/unicode.scm 412 */
ucs2_t BgL_res1866z00_976;
{ /* ./Llib/unicode.scm 412 */
int BgL_kz00_969;
BgL_kz00_969 = 
(int)(BgL_iz00_471); 
{ /* ./Llib/unicode.scm 412 */
bool_t BgL_testz00_1558;
{ /* ./Llib/unicode.scm 412 */
int BgL_auxz00_1559;
BgL_auxz00_1559 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_50); 
BgL_testz00_1558 = 
BOUND_CHECK(BgL_kz00_969, BgL_auxz00_1559); } 
if(BgL_testz00_1558)
{ /* ./Llib/unicode.scm 412 */
BgL_res1866z00_976 = 
UCS2_STRING_REF(BgL_ucs2zd2stringzd2_50, BgL_kz00_969); }  else 
{ /* ./Llib/unicode.scm 412 */
obj_t BgL_objectz00_975;
BgL_objectz00_975 = 
BINT(BgL_kz00_969); 
FAILURE(BGl_string2015z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_975);} } } 
BgL_arg1175z00_475 = BgL_res1866z00_976; } 
BgL_arg1172z00_474 = 
ucs2_toupper(BgL_arg1175z00_475); } 
{ /* ./Llib/unicode.scm 410 */
int BgL_kz00_979;
BgL_kz00_979 = 
(int)(BgL_iz00_471); 
{ /* ./Llib/unicode.scm 410 */
bool_t BgL_testz00_1567;
{ /* ./Llib/unicode.scm 410 */
int BgL_auxz00_1568;
BgL_auxz00_1568 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_50); 
BgL_testz00_1567 = 
BOUND_CHECK(BgL_kz00_979, BgL_auxz00_1568); } 
if(BgL_testz00_1567)
{ /* ./Llib/unicode.scm 410 */
UCS2_STRING_SET(BgL_ucs2zd2stringzd2_50, BgL_kz00_979, BgL_arg1172z00_474); }  else 
{ /* ./Llib/unicode.scm 410 */
obj_t BgL_objectz00_986;
BgL_objectz00_986 = 
BINT(BgL_kz00_979); 
FAILURE(BGl_string2017z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_986);} } } } 
{ 
long BgL_iz00_1574;
BgL_iz00_1574 = 
(BgL_iz00_471+((long)1)); 
BgL_iz00_471 = BgL_iz00_1574; 
goto BgL_loopz00_472;} } } } } } } 
}



/* _ucs2-string-upcase! */
obj_t BGl__ucs2zd2stringzd2upcasez12z12zz__unicodez00(obj_t BgL_envz00_1096, obj_t BgL_ucs2zd2stringzd2_1097)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 403 */
return 
BGl_ucs2zd2stringzd2upcasez12z12zz__unicodez00(BgL_ucs2zd2stringzd2_1097);} 
}



/* ucs2-string-downcase! */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2downcasez12z12zz__unicodez00(obj_t BgL_ucs2zd2stringzd2_51)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 419 */
{ /* ./Llib/unicode.scm 420 */
int BgL_lenz00_477;
BgL_lenz00_477 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_51); 
{ /* ./Llib/unicode.scm 421 */

{ 
long BgL_iz00_479;
BgL_iz00_479 = ((long)0); 
BgL_loopz00_480:
{ /* ./Llib/unicode.scm 423 */
bool_t BgL_testz00_1578;
{ /* ./Llib/unicode.scm 423 */
long BgL_auxz00_1579;
BgL_auxz00_1579 = 
(long)(BgL_lenz00_477); 
BgL_testz00_1578 = 
(BgL_iz00_479==BgL_auxz00_1579); } 
if(BgL_testz00_1578)
{ /* ./Llib/unicode.scm 423 */
return BgL_ucs2zd2stringzd2_51;}  else 
{ /* ./Llib/unicode.scm 423 */
{ /* ./Llib/unicode.scm 428 */
ucs2_t BgL_arg1187z00_482;
{ /* ./Llib/unicode.scm 428 */
ucs2_t BgL_arg1190z00_483;
{ /* ./Llib/unicode.scm 428 */
ucs2_t BgL_res1867z00_1000;
{ /* ./Llib/unicode.scm 428 */
int BgL_kz00_993;
BgL_kz00_993 = 
(int)(BgL_iz00_479); 
{ /* ./Llib/unicode.scm 428 */
bool_t BgL_testz00_1583;
{ /* ./Llib/unicode.scm 428 */
int BgL_auxz00_1584;
BgL_auxz00_1584 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_51); 
BgL_testz00_1583 = 
BOUND_CHECK(BgL_kz00_993, BgL_auxz00_1584); } 
if(BgL_testz00_1583)
{ /* ./Llib/unicode.scm 428 */
BgL_res1867z00_1000 = 
UCS2_STRING_REF(BgL_ucs2zd2stringzd2_51, BgL_kz00_993); }  else 
{ /* ./Llib/unicode.scm 428 */
obj_t BgL_objectz00_999;
BgL_objectz00_999 = 
BINT(BgL_kz00_993); 
FAILURE(BGl_string2015z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_999);} } } 
BgL_arg1190z00_483 = BgL_res1867z00_1000; } 
BgL_arg1187z00_482 = 
ucs2_tolower(BgL_arg1190z00_483); } 
{ /* ./Llib/unicode.scm 426 */
int BgL_kz00_1003;
BgL_kz00_1003 = 
(int)(BgL_iz00_479); 
{ /* ./Llib/unicode.scm 426 */
bool_t BgL_testz00_1592;
{ /* ./Llib/unicode.scm 426 */
int BgL_auxz00_1593;
BgL_auxz00_1593 = 
UCS2_STRING_LENGTH(BgL_ucs2zd2stringzd2_51); 
BgL_testz00_1592 = 
BOUND_CHECK(BgL_kz00_1003, BgL_auxz00_1593); } 
if(BgL_testz00_1592)
{ /* ./Llib/unicode.scm 426 */
UCS2_STRING_SET(BgL_ucs2zd2stringzd2_51, BgL_kz00_1003, BgL_arg1187z00_482); }  else 
{ /* ./Llib/unicode.scm 426 */
obj_t BgL_objectz00_1010;
BgL_objectz00_1010 = 
BINT(BgL_kz00_1003); 
FAILURE(BGl_string2017z00zz__unicodez00,BGl_string2016z00zz__unicodez00,BgL_objectz00_1010);} } } } 
{ 
long BgL_iz00_1599;
BgL_iz00_1599 = 
(BgL_iz00_479+((long)1)); 
BgL_iz00_479 = BgL_iz00_1599; 
goto BgL_loopz00_480;} } } } } } } 
}



/* _ucs2-string-downcase! */
obj_t BGl__ucs2zd2stringzd2downcasez12z12zz__unicodez00(obj_t BgL_envz00_1098, obj_t BgL_ucs2zd2stringzd2_1099)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 419 */
return 
BGl_ucs2zd2stringzd2downcasez12z12zz__unicodez00(BgL_ucs2zd2stringzd2_1099);} 
}



/* ucs2-string->utf8-string */
BGL_EXPORTED_DEF obj_t BGl_ucs2zd2stringzd2ze3utf8zd2stringz31zz__unicodez00(obj_t BgL_ucs2z00_52)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 435 */
return 
ucs2_string_to_utf8_string(BgL_ucs2z00_52);} 
}



/* _ucs2-string->utf8-string */
obj_t BGl__ucs2zd2stringzd2ze3utf8zd2stringz31zz__unicodez00(obj_t BgL_envz00_1100, obj_t BgL_ucs2z00_1101)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 435 */
return 
ucs2_string_to_utf8_string(BgL_ucs2z00_1101);} 
}



/* utf8-string->ucs2-string */
BGL_EXPORTED_DEF obj_t BGl_utf8zd2stringzd2ze3ucs2zd2stringz31zz__unicodez00(obj_t BgL_utf8z00_53)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 441 */
return 
utf8_string_to_ucs2_string(BgL_utf8z00_53);} 
}



/* _utf8-string->ucs2-string */
obj_t BGl__utf8zd2stringzd2ze3ucs2zd2stringz31zz__unicodez00(obj_t BgL_envz00_1102, obj_t BgL_utf8z00_1103)
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 441 */
return 
utf8_string_to_ucs2_string(BgL_utf8z00_1103);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__unicodez00()
{ AN_OBJECT;
{ /* ./Llib/unicode.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__unicode");} 
}

